Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.injac.cocoon.actions
Class MetaAction

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.acting.AbstractAction
              org.injac.cocoon.actions.MetaAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.logger.LogEnabled

public class MetaAction
extends org.apache.cocoon.acting.AbstractAction

Cocoon framework implementation *

Action performing a webdav querie on a single resource to retrieve specified metadatas. * Returns metadatas as sitemap variables named by specified parameters. * Parameters to feed this action with are : * *

> *
> *
> webdav-path
> *
>   root path
> *
> path
> *
>   relative path to actual resource to query
> *
> reqparams
> *
>   list of metadas to retrieve separated by space(see sample below).
> *
> *

*

> *
> Sitemap sample :
> * *
>   <map:actions>
> *
>   <map:action name="metadata-action" src="org.injac.cocoon.actions.MetaAction"/>
> *
>   </map:actions>
> *
>   ...
> *
>   <map:match pattern="GetMD">
> *
>   <map:act type="metadata-action">
> *
>   <map:parameter name="webdav-path" value="{iconf:/iconf/webdav}" />
> *
>   <map:parameter name="path" value="{request-param:path}" />
> *
>   <map:parameter name="reqparams" value="DAV:modificationdate INJAC:title INJAC:CSSFile" />
> *
>   <map:generate src="cocoon:/MD?title={title}&CSSFile={CSSFile}"/>
> *
>   </map:act>
> *
>   <map:serialize/>
> *
>   </map:match>
> * * * * @author François Jannin * (ENSEEIHT) * @version 1.0

> Field Summary

> Fields inherited from interface org.apache.cocoon.acting.Action
> `ROLE`

> Constructor Summary
> `MetaAction()`

> Method Summary
> `java.util.Map` | `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String source, org.apache.avalon.framework.parameters.Parameters params)`
> `void` | `buildResponse(java.util.Map sitemapParams)`

> Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
> `enableLogging`

> Methods inherited from class java.lang.Object
> `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

> Constructor Detail

> ### MetaAction

>     public MetaAction()

> Method Detail

> ### act

>     public java.util.Map act(org.apache.cocoon.environment.Redirector redirector,
>                              org.apache.cocoon.environment.SourceResolver resolver,
>                              java.util.Map objectModel,
>                              java.lang.String source,
>                              org.apache.avalon.framework.parameters.Parameters params)
>                       throws java.lang.Exception

>   Throws:
>     `java.lang.Exception`

> ### buildResponse

>     public void buildResponse(java.util.Map sitemapParams)
>                        throws java.lang.Exception

>   Throws:
>     `java.lang.Exception`

> Overview | Package | Class | Use | Tree | Deprecated | Index | Help
> PREV CLASS NEXT CLASS | FRAMES NO FRAMES
> SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD